package com.fs.store.service;

import java.util.List;
import com.fs.store.domain.FsStoreProductGroup;

/**
 * 商品组合Service接口
 * 
 * @author fs
 * @date 2022-11-23
 */
public interface IFsStoreProductGroupService 
{
    /**
     * 查询商品组合
     * 
     * @param groupId 商品组合ID
     * @return 商品组合
     */
    public FsStoreProductGroup selectFsStoreProductGroupById(Long groupId);

    /**
     * 查询商品组合列表
     * 
     * @param fsStoreProductGroup 商品组合
     * @return 商品组合集合
     */
    public List<FsStoreProductGroup> selectFsStoreProductGroupList(FsStoreProductGroup fsStoreProductGroup);

    /**
     * 新增商品组合
     * 
     * @param fsStoreProductGroup 商品组合
     * @return 结果
     */
    public int insertFsStoreProductGroup(FsStoreProductGroup fsStoreProductGroup);

    /**
     * 修改商品组合
     * 
     * @param fsStoreProductGroup 商品组合
     * @return 结果
     */
    public int updateFsStoreProductGroup(FsStoreProductGroup fsStoreProductGroup);

    /**
     * 批量删除商品组合
     * 
     * @param groupIds 需要删除的商品组合ID
     * @return 结果
     */
    public int deleteFsStoreProductGroupByIds(Long[] groupIds);

    /**
     * 删除商品组合信息
     * 
     * @param groupId 商品组合ID
     * @return 结果
     */
    public int deleteFsStoreProductGroupById(Long groupId);

    FsStoreProductGroup selectFsStoreProductGroupByBarCode(String groupBarCode);
}
